<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Sentinel;
use DB;
use App\Pengunjung;

class StaffController extends Controller
{
    public function index()
    {
        return view('staffs.staff_home');
    }

    public function pengunjung()
    {
        $pengunjungs = Pengunjung::all();
        return view('staffs.pengunjung', compact('pengunjungs'));
    }

    public function storepengunjung(Request $request)
    {
        $pengunjungs = new Pengunjung();
        $pengunjungs->nama_pengunjung = $request->nama_pengunjung;
        $pengunjungs->jumlah = $request->jumlah;
        $harga = 10000;
        $jumlah = $request ->jumlah;
        $total = $harga * $jumlah;
        $pengunjungs->total_harga = $total;
        $pengunjungs->save();
        return redirect('pengunjung')->with('alert-success', 'Data Pengunjung tersimpan');
    }

    public function viewMember()
    {
        $members = Sentinel::findRoleBySlug('customer');
        $members = DB::table('users')->orderby('id', 'desc')->get();
        return view('staffs.daftar_member', compact('members'));
    }



//    public function viewmember()
//    {
//        $customers = Sentinel::findRoleBySlug('customer');
//        $customers = DB::table('users')->orderby(
//            'id','desc')->get();
//        return view('staffs.daftar_member');
//    }


}
